$! Parameters:
$!	P1	Build options
$!			MULTINET or NETLIB	- Select TCP stack support
$!			LINK-ONLY		- Bypass compilation stage
$!			VAXC			- Force use of VAXC
$!
$!	P2	DEBUG support
$!			DEBUG			- compile/link with debugger support
$!			""			- compile/link with no debugger support
$
$ IF F$SEARCH("CTYPE.H") .NES. "" THEN $ DELETE/NOLOG CTYPE.H;*
$ OPEN/WRITE OUTFILE DATE.C
$ WRITE OUTFILE "char datestamp[]=""''F$TIME()'"";"
$ close outfile
$!
$!
$ CCLIENT_DIR = "[-.IMAP.ANSI.C-CLIENT]"
$
$ COPY/nolog OS_VMS.H OS.H;
$ COPY/nolog HELPTEXT_VMS.H HELPTEXT.H;
$ COPY/nolog HELPTEXT_VMS.C HELPTEXT.C;
$ COPY/nolog INIT_VMS.C INIT.C;
$
$
$! Set up for appropriate compiler
$ CC_DEF = ""
$ LINK_OPT = ""
$ HAVEVAXC = f$search("sys$system:vaxc.exe") .nes. ""
$ HAVEDECC = f$search("sys$system:decc$compiler.exe") .nes. ""
$ FORCEVAXC= f$locate("VAXC",P1) .lt. f$length(P1)
$ if HAVEDECC .AND. .NOT. FORCEVAXC
$   then
$     COMPILER = "DEC C"
$     if (HAVEVAXC) then $ CC_DEF = CC_DEF + "/DECC"
$     IF F$TRNLNM("SYS")     .NES. "" THEN $ DEASSIGN SYS
$     IF F$TRNLNM("NETINET") .NES. "" THEN $ DEASSIGN NETINET
$     CC_DEF = CC_DEF + "/STANDARD=VAXC"
$   else
$     COMPILER = "VAX C"
$     if (HAVEDECC) then $ CC_DEF = CC_DEF + "/VAXC"
$     DEFINE/NOLOG SYS     SYS$LIBRARY
$     DEFINE/NOLOG NETINET SYS$LIBRARY
$     LINK_OPT = LINK_OPT + ",[-]VMS_LINK/OPTION"
$     COPY/nolog SYS$LIBRARY:CTYPE.H *.*;	! Need locally modified version
$     EDIT/EDT/command=sys$input CTYPE.H
s/readonly// w
exit
$ endif
$
$! Set up parameters for the network stack
$ NETSTACK="NO"
$ Includes="[],''CCLIENT_DIR'"
$ IF F$LOCATE("MULTINET", P1) .LT. F$LENGTH(P1)
$   THEN
$     NETSTACK = "MULTINET"
$     Includes = Includes + ",MULTINET_ROOT:[MULTINET.INCLUDE]"
$     DEFINE/nolog SYS     MULTINET_ROOT:[MULTINET.INCLUDE.SYS]
$     DEFINE/nolog NETINET MULTINET_ROOT:[MULTINET.INCLUDE.NETINET]
$     LINK_OPT = ",[-]VMS_MULTINET_LINK/OPTION" + LINK_OPT
$ ENDIF
$ IF F$LOCATE("NETLIB", P1) .LT. F$LENGTH(P1)
$   THEN
$     NETSTACK = "NETLIB"
$     LINK_OPT = ",[-]VMS_NETLIB_LINK/OPTION" + LINK_OPT
$ ENDIF
$!
$! Initialize for debugging (or not)
$ IF (P2 .EQS. "DEBUG")
$   THEN			! Build a debug version of PINE
$     CC_DEF = CC_DEF + "/DEBUG /NOOPTIMIZE"
$     LINK   = "LINK /DEBUG"
$   ELSE
$     CC_DEF = CC_DEF + "/NOOPTIMIZE"	! Because of optimizer bugs !!!
$     LINK   = "LINK"
$ ENDIF
$
$ if f$locate("LINK-ONLY",P1) .lt. f$length(P1) then $ goto LINK
$
$ CC_DEF = CC_DEF + "/DEFINE=(DEBUG,""readonly""=""ReadOnly"",SYSTYPE=""""""VMS"""""")
$ CC_DEF = CC_DEF + "/INCLUDE=(''includes')"
$
$!
$ write sys$output "%VMSBUILD-I-BUILD, Building PINE using ", COMPILER, " with ", NETSTACK, " TCP/IP support"
$ SET VER
$ CC'CC_DEF' OS_vms
$ CC'CC_DEF' addrbook
$ CC'CC_DEF' adrbklib
$ CC'CC_DEF' args
$ CC'CC_DEF' context
$ CC'CC_DEF' date
$ CC'CC_DEF' filter
$ CC'CC_DEF' folder
$ CC'CC_DEF' help
$ CC'CC_DEF' helptext
$ CC'CC_DEF' imap
$ CC'CC_DEF' init
$ CC'CC_DEF' mailcap
$ CC'CC_DEF' mailcmd
$ CC'CC_DEF' mailindx
$ CC'CC_DEF' mailpart
$ CC'CC_DEF' mailview
$ CC'CC_DEF' newmail
$ CC'CC_DEF' other
$ CC'CC_DEF' pine
$ CC'CC_DEF' print
$ CC'CC_DEF' reply
$ CC'CC_DEF' screen
$ CC'CC_DEF' send
$ CC'CC_DEF'/DEFINE=(SIGUSR2=SIGKILL,DEBUG,"readonly"="ReadOnly",SYSTYPE=VMS) signals
$ CC'CC_DEF' status
$ CC'CC_DEF' strings
$ CC'CC_DEF' tty_vms
$ SET NOVER
$ LIBRARY/OBJECT/CREATE/INSERT PINE *.obj
$ PURGE/nolog PINE.OLB
$!
$LINK:
$ write sys$output "%VMSBUILD-I-LINK,  Linking PINE"
$ IF HAVEDECC .AND. .NOT. FORCEVAXC
$ THEN
$	LINK PINE,PINE/LIBR,'CCLIENT_DIR'C-CLIENT/LIBR,[-.PICO]PICO/LIBR'LINK_OPT'
$ ELSE
$	LINK PINE, -
	ADDRBOOK,ADRBKLIB,ARGS,CONTEXT,DATE,FILTER,FOLDER, -
	help,HELPTEXT,IMAP,INIT,MAILCAP,MAILCMD,MAILINDX,MAILVIEW,mailpart,NEWMAIL, -
	status,OTHER,PRINT,REPLY,SCREEN,SEND,SIGNALS,STRINGS,TTY_VMS,os_VMS, -
	[-.pico]pico/libr,'CCLIENT_DIR'IMAP2,MAIL,MISC,NNTP,NNTPCVMS,NEWSRC, -
	OS_VMS,RFC822,SMTP,SM_VMS,VMS_MAIL,SYS$INPUT:/OPTION'LINK_OPT'
PSECT=_CTYPE_,NOWRT
$ ENDIF
$ IF F$SEARCH("CTYPE.H") .NES. "" THEN $ DELETE/NOLOG CTYPE.H;*
$ PURGE/NOLOG *.OBJ
$ PURGE/NOLOG *.EXE
$ EXIT
